using System;
using System.Collections.Generic;

namespace LHDN.CRM.Models.Models
{

    using System.ComponentModel.DataAnnotations;
    using System.ComponentModel.DataAnnotations.Schema;

    [Table("Ref_CCTemplateName")]
    public class CCTemplate
    {
        [Key]
        [DatabaseGenerated(DatabaseGeneratedOption.Identity)]
        public int CCTemplateNameID { get; set; }

        [StringLength(250)]
        public string CCTemplateName { get; set; }

        [StringLength(50)]
        public string CCTemplateCode { get; set; }

        [StringLength(1)]
        public string CCTemplateType { get; set; }

        public bool? IsActive { get; set; }

        [Required]
        [StringLength(255)]
        public string CreatedBy { get; set; }

        public DateTime CreatedDateTime { get; set; }

        [Required]
        [StringLength(255)]
        public string LastUpdatedBy { get; set; }

        public DateTime LastUpdatedDateTime { get; set; }
    }
}
